
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2024 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*
  External declarations for for Qt bindings

  DO NOT EDIT THIS FILE. 
  This file has been created automatically
*/

#if !defined(HDR_gsiQtNetworkExternals)
#define HDR_gsiQtNetworkExternals

#include "gsiClass.h"
#include "gsiQtNetworkCommon.h"

class QAbstractNetworkCache;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QAbstractNetworkCache> &qtdecl_QAbstractNetworkCache (); }

class QAbstractSocket;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QAbstractSocket> &qtdecl_QAbstractSocket (); }

class QAuthenticator;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QAuthenticator> &qtdecl_QAuthenticator (); }

class QDnsDomainNameRecord;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QDnsDomainNameRecord> &qtdecl_QDnsDomainNameRecord (); }

class QDnsHostAddressRecord;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QDnsHostAddressRecord> &qtdecl_QDnsHostAddressRecord (); }

class QDnsLookup;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QDnsLookup> &qtdecl_QDnsLookup (); }

class QDnsMailExchangeRecord;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QDnsMailExchangeRecord> &qtdecl_QDnsMailExchangeRecord (); }

class QDnsServiceRecord;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QDnsServiceRecord> &qtdecl_QDnsServiceRecord (); }

class QDnsTextRecord;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QDnsTextRecord> &qtdecl_QDnsTextRecord (); }

class QDtls;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QDtls> &qtdecl_QDtls (); }

class QDtlsClientVerifier;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QDtlsClientVerifier> &qtdecl_QDtlsClientVerifier (); }

class QHostAddress;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QHostAddress> &qtdecl_QHostAddress (); }

class QHostInfo;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QHostInfo> &qtdecl_QHostInfo (); }

class QHstsPolicy;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QHstsPolicy> &qtdecl_QHstsPolicy (); }

class QHttpMultiPart;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QHttpMultiPart> &qtdecl_QHttpMultiPart (); }

class QHttpPart;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QHttpPart> &qtdecl_QHttpPart (); }

class QIPv6Address;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QIPv6Address> &qtdecl_QIPv6Address (); }

class QLocalServer;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QLocalServer> &qtdecl_QLocalServer (); }

class QLocalSocket;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QLocalSocket> &qtdecl_QLocalSocket (); }

class QNetworkAccessManager;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkAccessManager> &qtdecl_QNetworkAccessManager (); }

class QNetworkAddressEntry;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkAddressEntry> &qtdecl_QNetworkAddressEntry (); }

class QNetworkCacheMetaData;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkCacheMetaData> &qtdecl_QNetworkCacheMetaData (); }

class QNetworkConfiguration;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkConfiguration> &qtdecl_QNetworkConfiguration (); }

class QNetworkConfigurationManager;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkConfigurationManager> &qtdecl_QNetworkConfigurationManager (); }

class QNetworkCookie;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkCookie> &qtdecl_QNetworkCookie (); }

class QNetworkCookieJar;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkCookieJar> &qtdecl_QNetworkCookieJar (); }

class QNetworkDatagram;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkDatagram> &qtdecl_QNetworkDatagram (); }

class QNetworkDiskCache;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkDiskCache> &qtdecl_QNetworkDiskCache (); }

class QNetworkInterface;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkInterface> &qtdecl_QNetworkInterface (); }

class QNetworkProxy;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkProxy> &qtdecl_QNetworkProxy (); }

class QNetworkProxyFactory;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkProxyFactory> &qtdecl_QNetworkProxyFactory (); }

class QNetworkProxyQuery;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkProxyQuery> &qtdecl_QNetworkProxyQuery (); }

class QNetworkReply;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkReply> &qtdecl_QNetworkReply (); }

class QNetworkRequest;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkRequest> &qtdecl_QNetworkRequest (); }

class QNetworkSession;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QNetworkSession> &qtdecl_QNetworkSession (); }

class QSslCertificate;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslCertificate> &qtdecl_QSslCertificate (); }

class QSslCertificateExtension;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslCertificateExtension> &qtdecl_QSslCertificateExtension (); }

class QSslCipher;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslCipher> &qtdecl_QSslCipher (); }

class QSslConfiguration;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslConfiguration> &qtdecl_QSslConfiguration (); }

class QSslDiffieHellmanParameters;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslDiffieHellmanParameters> &qtdecl_QSslDiffieHellmanParameters (); }

class QSslEllipticCurve;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslEllipticCurve> &qtdecl_QSslEllipticCurve (); }

class QSslError;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslError> &qtdecl_QSslError (); }

class QSslKey;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslKey> &qtdecl_QSslKey (); }

class QSslPreSharedKeyAuthenticator;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslPreSharedKeyAuthenticator> &qtdecl_QSslPreSharedKeyAuthenticator (); }

class QSslSocket;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QSslSocket> &qtdecl_QSslSocket (); }

class QTcpServer;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QTcpServer> &qtdecl_QTcpServer (); }

class QTcpSocket;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QTcpSocket> &qtdecl_QTcpSocket (); }

class QUdpSocket;

namespace gsi { GSI_QTNETWORK_PUBLIC gsi::Class<QUdpSocket> &qtdecl_QUdpSocket (); }


#define QT_EXTERNAL_BASE(X) gsi::qtdecl_##X(),

#endif

