
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2024 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  @file gsiDeclQAccessibleTextUpdateEvent.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include <QAccessibleTextUpdateEvent>
#include <QAccessibleInterface>
#include <QObject>
#include "gsiQt.h"
#include "gsiQtGuiCommon.h"
#include <memory>

// -----------------------------------------------------------------------
// class QAccessibleTextUpdateEvent

// int QAccessibleTextUpdateEvent::changePosition()


static void _init_f_changePosition_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_f_changePosition_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<int > ((int)((QAccessibleTextUpdateEvent *)cls)->changePosition ());
}


// QString QAccessibleTextUpdateEvent::textInserted()


static void _init_f_textInserted_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QString > ();
}

static void _call_f_textInserted_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QString > ((QString)((QAccessibleTextUpdateEvent *)cls)->textInserted ());
}


// QString QAccessibleTextUpdateEvent::textRemoved()


static void _init_f_textRemoved_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QString > ();
}

static void _call_f_textRemoved_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QString > ((QString)((QAccessibleTextUpdateEvent *)cls)->textRemoved ());
}


namespace gsi
{

static gsi::Methods methods_QAccessibleTextUpdateEvent () {
  gsi::Methods methods;
  methods += new qt_gsi::GenericMethod ("changePosition", "@brief Method int QAccessibleTextUpdateEvent::changePosition()\n", true, &_init_f_changePosition_c0, &_call_f_changePosition_c0);
  methods += new qt_gsi::GenericMethod ("textInserted", "@brief Method QString QAccessibleTextUpdateEvent::textInserted()\n", true, &_init_f_textInserted_c0, &_call_f_textInserted_c0);
  methods += new qt_gsi::GenericMethod ("textRemoved", "@brief Method QString QAccessibleTextUpdateEvent::textRemoved()\n", true, &_init_f_textRemoved_c0, &_call_f_textRemoved_c0);
  return methods;
}

gsi::Class<QAccessibleTextCursorEvent> &qtdecl_QAccessibleTextCursorEvent ();

gsi::Class<QAccessibleTextUpdateEvent> decl_QAccessibleTextUpdateEvent (qtdecl_QAccessibleTextCursorEvent (), "QtGui", "QAccessibleTextUpdateEvent_Native",
  methods_QAccessibleTextUpdateEvent (),
  "@hide\n@alias QAccessibleTextUpdateEvent");

GSI_QTGUI_PUBLIC gsi::Class<QAccessibleTextUpdateEvent> &qtdecl_QAccessibleTextUpdateEvent () { return decl_QAccessibleTextUpdateEvent; }

}


class QAccessibleTextUpdateEvent_Adaptor : public QAccessibleTextUpdateEvent, public qt_gsi::QtObjectBase
{
public:

  virtual ~QAccessibleTextUpdateEvent_Adaptor();

  //  [adaptor ctor] QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QObject *obj, int position, const QString &oldText, const QString &text)
  QAccessibleTextUpdateEvent_Adaptor(QObject *obj, int position, const QString &oldText, const QString &text) : QAccessibleTextUpdateEvent(obj, position, oldText, text)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QAccessibleInterface *iface, int position, const QString &oldText, const QString &text)
  QAccessibleTextUpdateEvent_Adaptor(QAccessibleInterface *iface, int position, const QString &oldText, const QString &text) : QAccessibleTextUpdateEvent(iface, position, oldText, text)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor impl] QAccessibleInterface *QAccessibleTextUpdateEvent::accessibleInterface()
  QAccessibleInterface * cbs_accessibleInterface_c0_0() const
  {
    return QAccessibleTextUpdateEvent::accessibleInterface();
  }

  virtual QAccessibleInterface * accessibleInterface() const
  {
    if (cb_accessibleInterface_c0_0.can_issue()) {
      return cb_accessibleInterface_c0_0.issue<QAccessibleTextUpdateEvent_Adaptor, QAccessibleInterface *>(&QAccessibleTextUpdateEvent_Adaptor::cbs_accessibleInterface_c0_0);
    } else {
      return QAccessibleTextUpdateEvent::accessibleInterface();
    }
  }

  gsi::Callback cb_accessibleInterface_c0_0;
};

QAccessibleTextUpdateEvent_Adaptor::~QAccessibleTextUpdateEvent_Adaptor() { }

//  Constructor QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QObject *obj, int position, const QString &oldText, const QString &text) (adaptor class)

static void _init_ctor_QAccessibleTextUpdateEvent_Adaptor_5795 (qt_gsi::GenericStaticMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("obj");
  decl->add_arg<QObject * > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("position");
  decl->add_arg<int > (argspec_1);
  static gsi::ArgSpecBase argspec_2 ("oldText");
  decl->add_arg<const QString & > (argspec_2);
  static gsi::ArgSpecBase argspec_3 ("text");
  decl->add_arg<const QString & > (argspec_3);
  decl->set_return_new<QAccessibleTextUpdateEvent_Adaptor> ();
}

static void _call_ctor_QAccessibleTextUpdateEvent_Adaptor_5795 (const qt_gsi::GenericStaticMethod * /*decl*/, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QObject *arg1 = gsi::arg_reader<QObject * >() (args, heap);
  int arg2 = gsi::arg_reader<int >() (args, heap);
  const QString &arg3 = gsi::arg_reader<const QString & >() (args, heap);
  const QString &arg4 = gsi::arg_reader<const QString & >() (args, heap);
  ret.write<QAccessibleTextUpdateEvent_Adaptor *> (new QAccessibleTextUpdateEvent_Adaptor (arg1, arg2, arg3, arg4));
}


//  Constructor QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QAccessibleInterface *iface, int position, const QString &oldText, const QString &text) (adaptor class)

static void _init_ctor_QAccessibleTextUpdateEvent_Adaptor_7115 (qt_gsi::GenericStaticMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("iface");
  decl->add_arg<QAccessibleInterface * > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("position");
  decl->add_arg<int > (argspec_1);
  static gsi::ArgSpecBase argspec_2 ("oldText");
  decl->add_arg<const QString & > (argspec_2);
  static gsi::ArgSpecBase argspec_3 ("text");
  decl->add_arg<const QString & > (argspec_3);
  decl->set_return_new<QAccessibleTextUpdateEvent_Adaptor> ();
}

static void _call_ctor_QAccessibleTextUpdateEvent_Adaptor_7115 (const qt_gsi::GenericStaticMethod * /*decl*/, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QAccessibleInterface *arg1 = gsi::arg_reader<QAccessibleInterface * >() (args, heap);
  int arg2 = gsi::arg_reader<int >() (args, heap);
  const QString &arg3 = gsi::arg_reader<const QString & >() (args, heap);
  const QString &arg4 = gsi::arg_reader<const QString & >() (args, heap);
  ret.write<QAccessibleTextUpdateEvent_Adaptor *> (new QAccessibleTextUpdateEvent_Adaptor (arg1, arg2, arg3, arg4));
}


// QAccessibleInterface *QAccessibleTextUpdateEvent::accessibleInterface()

static void _init_cbs_accessibleInterface_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QAccessibleInterface * > ();
}

static void _call_cbs_accessibleInterface_c0_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QAccessibleInterface * > ((QAccessibleInterface *)((QAccessibleTextUpdateEvent_Adaptor *)cls)->cbs_accessibleInterface_c0_0 ());
}

static void _set_callback_cbs_accessibleInterface_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QAccessibleTextUpdateEvent_Adaptor *)cls)->cb_accessibleInterface_c0_0 = cb;
}


namespace gsi
{

gsi::Class<QAccessibleTextUpdateEvent> &qtdecl_QAccessibleTextUpdateEvent ();

static gsi::Methods methods_QAccessibleTextUpdateEvent_Adaptor () {
  gsi::Methods methods;
  methods += new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QObject *obj, int position, const QString &oldText, const QString &text)\nThis method creates an object of class QAccessibleTextUpdateEvent.", &_init_ctor_QAccessibleTextUpdateEvent_Adaptor_5795, &_call_ctor_QAccessibleTextUpdateEvent_Adaptor_5795);
  methods += new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QAccessibleTextUpdateEvent::QAccessibleTextUpdateEvent(QAccessibleInterface *iface, int position, const QString &oldText, const QString &text)\nThis method creates an object of class QAccessibleTextUpdateEvent.", &_init_ctor_QAccessibleTextUpdateEvent_Adaptor_7115, &_call_ctor_QAccessibleTextUpdateEvent_Adaptor_7115);
  methods += new qt_gsi::GenericMethod ("accessibleInterface", "@brief Virtual method QAccessibleInterface *QAccessibleTextUpdateEvent::accessibleInterface()\nThis method can be reimplemented in a derived class.", true, &_init_cbs_accessibleInterface_c0_0, &_call_cbs_accessibleInterface_c0_0);
  methods += new qt_gsi::GenericMethod ("accessibleInterface", "@hide", true, &_init_cbs_accessibleInterface_c0_0, &_call_cbs_accessibleInterface_c0_0, &_set_callback_cbs_accessibleInterface_c0_0);
  return methods;
}

gsi::Class<QAccessibleTextUpdateEvent_Adaptor> decl_QAccessibleTextUpdateEvent_Adaptor (qtdecl_QAccessibleTextUpdateEvent (), "QtGui", "QAccessibleTextUpdateEvent",
  methods_QAccessibleTextUpdateEvent_Adaptor (),
  "@qt\n@brief Binding of QAccessibleTextUpdateEvent");

}

